"use strict";
exports.__esModule = true;
var tslib_1 = require("tslib");
var react_1 = require("react");
var react_bootstrap_1 = require("react-bootstrap");
var SelecIcon_1 = require("./SelecIcon");
var icons_1 = require("./icons");
var react_2 = tslib_1.__importDefault(require("react"));
function IconCatalog(_b) {
    var nullValue = _b.nullValue, search = _b.search, close = _b.close, onChange = _b.onChange;
    return (0, react_1.useMemo)(function () {
        var labels = Object.keys(icons_1.icons);
        var s = labels.filter(function (i) { return i.indexOf(search.toLowerCase()) > -1; });
        return (react_2["default"].createElement(react_bootstrap_1.Row, { className: 'd-flex', style: { width: 354, maxHeight: 432, margin: '0 0 0 0', overflowY: 'auto' } },
            react_2["default"].createElement("h5", { className: 'text-center w-100' },
                react_2["default"].createElement("b", null,
                    "ICONOS ",
                    s.length),
                nullValue ? (react_2["default"].createElement(react_bootstrap_1.Button, { size: 'sm', variant: 'outline-danger', style: { width: 36, height: 30, margin: '3px 3px 3px 3px' }, onClick: function () {
                        onChange({ width: 0, height: 0, path: '' }, false);
                        close();
                    } },
                    react_2["default"].createElement("i", { className: 'fas fa-times' }))) : (react_2["default"].createElement(react_2["default"].Fragment, null))),
            s
                .filter(function (_a, i) { return (s.length > 100 ? i >= 0 && i <= 95 : true); })
                .map(function (i, t) { return (react_2["default"].createElement(SelecIcon_1.SelecIcon, { key: search + t, icons: icons_1.icons[i], select: function (i) {
                    onChange({ width: i[0], height: i[1], path: i[4] }, true);
                    close();
                } })); })));
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [search]);
}
exports["default"] = IconCatalog;
//# sourceMappingURL=IconCatalog.js.map