"use strict";
exports.__esModule = true;
exports.SelecIcon = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var Popover_1 = tslib_1.__importDefault(require("@mui/material/Popover"));
var react_bootstrap_1 = require("react-bootstrap");
var SVGPring_1 = require("./SVGPring");
function SelecIcon(_a) {
    var _b = _a.icons, solid = _b.solid, regular = _b.regular, light = _b.light, brands = _b.brands, duotone = _b.duotone, select = _a.select;
    var primary = (solid !== undefined ? solid : brands);
    var _c = (0, react_1.useState)(null), open = _c[0], setOpen = _c[1];
    var handleClick = (0, react_1.useCallback)(function (event) { return setOpen(event.currentTarget); }, []);
    var handleClose = (0, react_1.useCallback)(function () { return setOpen(null); }, []);
    return (react_1["default"].createElement(react_1["default"].Fragment, null,
        react_1["default"].createElement(react_bootstrap_1.Button, { key: primary[3], size: 'sm', variant: 'outline-secondary', style: { width: 36, height: 30, margin: '3px 3px 3px 3px' }, onClick: handleClick },
            react_1["default"].createElement("svg", { xmlns: 'http://www.w3.org/2000/svg', width: '20', height: '20', viewBox: "0 0 ".concat(primary[0], " ").concat(primary[1]) }, typeof primary[4] === 'string' ? (react_1["default"].createElement("path", { d: primary[4] })) : (primary[4].map(function (t, i) { return (react_1["default"].createElement("path", { key: t, style: { fill: "currentColor", opacity: i === 0 ? 0.7 : undefined }, d: t })); })))),
        react_1["default"].createElement(Popover_1["default"], { open: open, anchorEl: open, onClose: handleClose, anchorOrigin: { vertical: 'bottom', horizontal: 'left' } },
            solid !== undefined ? react_1["default"].createElement(SVGPring_1.SVGPring, { icon: solid, select: select }) : react_1["default"].createElement(react_1["default"].Fragment, null),
            regular !== undefined ? react_1["default"].createElement(SVGPring_1.SVGPring, { icon: regular, select: select }) : react_1["default"].createElement(react_1["default"].Fragment, null),
            light !== undefined ? react_1["default"].createElement(SVGPring_1.SVGPring, { icon: light, select: select }) : react_1["default"].createElement(react_1["default"].Fragment, null),
            brands !== undefined ? react_1["default"].createElement(SVGPring_1.SVGPring, { icon: brands, select: select }) : react_1["default"].createElement(react_1["default"].Fragment, null),
            duotone !== undefined ? react_1["default"].createElement(SVGPring_1.SVGPring, { icon: duotone, select: select }) : react_1["default"].createElement(react_1["default"].Fragment, null))));
}
exports.SelecIcon = SelecIcon;
//# sourceMappingURL=SelecIcon.js.map