"use strict";
exports.__esModule = true;
exports.IconSelector = void 0;
var tslib_1 = require("tslib");
var react_1 = tslib_1.__importStar(require("react"));
var Popover_1 = tslib_1.__importDefault(require("@mui/material/Popover"));
var react_bootstrap_1 = require("react-bootstrap");
var component_bootstrap_1 = require("@victorequena22/component-bootstrap");
var UseIcon_1 = require("../UseIcon");
var Cargando_1 = tslib_1.__importDefault(require("../Cargando"));
var IconCatalog_1 = tslib_1.__importDefault(require("./IconCatalog"));
function IconSelector(_a) {
    var value = _a.value, onChange = _a.onChange, className = _a.className, disabled = _a.disabled, nullValue = _a.nullValue, _b = _a.style, style = _b === void 0 ? { width: 36, height: 24 } : _b;
    var _c = (0, react_1.useState)(''), search = _c[0], setSearch = _c[1];
    var _d = (0, react_1.useState)(null), open = _d[0], setOpen = _d[1];
    var handleClick = (0, react_1.useCallback)(function (event) { return setOpen(event.currentTarget); }, []);
    var handleClose = (0, react_1.useCallback)(function () { return setOpen(null); }, []);
    return (react_1["default"].createElement(react_1["default"].Fragment, null,
        react_1["default"].createElement(react_bootstrap_1.Button, { "data-tip": 'SELECCIONAR ICONO', disabled: disabled, variant: 'outline-dark', style: style, size: 'sm', className: className, onClick: handleClick },
            react_1["default"].createElement(UseIcon_1.UseIcon, { width: '15', height: '15', fill: '#000000', icon: value })),
        react_1["default"].createElement(Popover_1["default"], { open: open, anchorEl: open, onClose: handleClose, anchorOrigin: { vertical: 'bottom', horizontal: 'left' } },
            react_1["default"].createElement(component_bootstrap_1.ControlText, { before: 'BUSCAR', after: react_1["default"].createElement("i", { className: 'fa fa-search' }), setData: setSearch, value: search }),
            react_1["default"].createElement(react_1.Suspense, { fallback: react_1["default"].createElement(Cargando_1["default"], null) },
                react_1["default"].createElement(IconCatalog_1["default"], { nullValue: nullValue, search: search, close: handleClose, onChange: onChange })))));
}
exports.IconSelector = IconSelector;
//# sourceMappingURL=index.js.map