import React, { useState, useCallback } from 'react';
import Popover from '@mui/material/Popover';
import { Button } from 'react-bootstrap';
import { SVGPring } from './SVGPring';
export function SelecIcon(_a) {
    var _b = _a.icons, solid = _b.solid, regular = _b.regular, light = _b.light, brands = _b.brands, duotone = _b.duotone, select = _a.select;
    var primary = (solid !== undefined ? solid : brands);
    var _c = useState(null), open = _c[0], setOpen = _c[1];
    var handleClick = useCallback(function (event) { return setOpen(event.currentTarget); }, []);
    var handleClose = useCallback(function () { return setOpen(null); }, []);
    return (React.createElement(React.Fragment, null,
        React.createElement(Button, { key: primary[3], size: 'sm', variant: 'outline-secondary', style: { width: 36, height: 30, margin: '3px 3px 3px 3px' }, onClick: handleClick },
            React.createElement("svg", { xmlns: 'http://www.w3.org/2000/svg', width: '20', height: '20', viewBox: "0 0 ".concat(primary[0], " ").concat(primary[1]) }, typeof primary[4] === 'string' ? (React.createElement("path", { d: primary[4] })) : (primary[4].map(function (t, i) { return (React.createElement("path", { key: t, style: { fill: "currentColor", opacity: i === 0 ? 0.7 : undefined }, d: t })); })))),
        React.createElement(Popover, { open: open, anchorEl: open, onClose: handleClose, anchorOrigin: { vertical: 'bottom', horizontal: 'left' } },
            solid !== undefined ? React.createElement(SVGPring, { icon: solid, select: select }) : React.createElement(React.Fragment, null),
            regular !== undefined ? React.createElement(SVGPring, { icon: regular, select: select }) : React.createElement(React.Fragment, null),
            light !== undefined ? React.createElement(SVGPring, { icon: light, select: select }) : React.createElement(React.Fragment, null),
            brands !== undefined ? React.createElement(SVGPring, { icon: brands, select: select }) : React.createElement(React.Fragment, null),
            duotone !== undefined ? React.createElement(SVGPring, { icon: duotone, select: select }) : React.createElement(React.Fragment, null))));
}
//# sourceMappingURL=SelecIcon.js.map